Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.ehealth.technicalconnector.enumeration
Enum SsoProfile

    java.lang.Object
      java.lang.Enum<SsoProfile>
          be.ehealth.technicalconnector.enumeration.SsoProfile

All Implemented Interfaces:
  Serializable, Comparable<SsoProfile>

    public enum SsoProfile

extends Enum<SsoProfile>

Enumeration for the supported SsoProfiles

Enum Constant Summary
`SAML2_ARTIFACT`
`SAML2_POST`

Method Summary
`static SsoProfile` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SsoProfile[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SAML2_ARTIFACT

    public static final SsoProfile SAML2_ARTIFACT

### SAML2_POST

    public static final SsoProfile SAML2_POST

Method Detail

### values

    public static SsoProfile[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SsoProfile c : SsoProfile.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SsoProfile valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSNURSE 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.